package shub.dpm.designerscripts;
import anywheresoftware.b4a.objects.TextViewWrapper;
import anywheresoftware.b4a.objects.ImageViewWrapper;
import anywheresoftware.b4a.BA;


public class LS_about{

public static void LS_320x480_1(java.util.LinkedHashMap<String, anywheresoftware.b4a.keywords.LayoutBuilder.ViewWrapperAndAnchor> views, int width, int height, float scale) {
anywheresoftware.b4a.keywords.LayoutBuilder.setScaleRate(0.3);
//BA.debugLineNum = 2;BA.debugLine="ImageView1.Top=5%x"[About/320x480,scale=1]
views.get("imageview1").vw.setTop((int)((5d / 100 * width)));
//BA.debugLineNum = 3;BA.debugLine="ImageView1.Left=100%x/2-ImageView1.Width/2"[About/320x480,scale=1]
views.get("imageview1").vw.setLeft((int)((100d / 100 * width)/2d-(views.get("imageview1").vw.getWidth())/2d));
//BA.debugLineNum = 4;BA.debugLine="Label2.Top=ImageView1.Top+ImageView1.Height+2%y"[About/320x480,scale=1]
views.get("label2").vw.setTop((int)((views.get("imageview1").vw.getTop())+(views.get("imageview1").vw.getHeight())+(2d / 100 * height)));
//BA.debugLineNum = 5;BA.debugLine="Label2.Left=0"[About/320x480,scale=1]
views.get("label2").vw.setLeft((int)(0d));
//BA.debugLineNum = 6;BA.debugLine="Label2.Width=100%x"[About/320x480,scale=1]
views.get("label2").vw.setWidth((int)((100d / 100 * width)));
//BA.debugLineNum = 8;BA.debugLine="Label3.Left=0"[About/320x480,scale=1]
views.get("label3").vw.setLeft((int)(0d));
//BA.debugLineNum = 9;BA.debugLine="Label3.Width=100%x"[About/320x480,scale=1]
views.get("label3").vw.setWidth((int)((100d / 100 * width)));
//BA.debugLineNum = 10;BA.debugLine="Label3.Top=Label2.Top+Label2.Height+1%y"[About/320x480,scale=1]
views.get("label3").vw.setTop((int)((views.get("label2").vw.getTop())+(views.get("label2").vw.getHeight())+(1d / 100 * height)));
//BA.debugLineNum = 12;BA.debugLine="Button3.Top=100%y-10%y-Button3.Height"[About/320x480,scale=1]
views.get("button3").vw.setTop((int)((100d / 100 * height)-(10d / 100 * height)-(views.get("button3").vw.getHeight())));
//BA.debugLineNum = 13;BA.debugLine="Button3.Left=100%x/2-Button3.Width/2"[About/320x480,scale=1]
views.get("button3").vw.setLeft((int)((100d / 100 * width)/2d-(views.get("button3").vw.getWidth())/2d));

}
public static void LS_general(java.util.LinkedHashMap<String, anywheresoftware.b4a.keywords.LayoutBuilder.ViewWrapperAndAnchor> views, int width, int height, float scale) {
anywheresoftware.b4a.keywords.LayoutBuilder.setScaleRate(0.3);
anywheresoftware.b4a.keywords.LayoutBuilder.scaleAll(views);

}
}